#!/usr/bin/perl 
#===============================================================================
#
#         FILE:  fosdemparse.pl
#
#        USAGE:  ./fosdemparse.pl  
#
#  DESCRIPTION:  A small script for parse fosdem keys
#
#      OPTIONS:  ---
# REQUIREMENTS:  patience
#         BUGS:  ---
#        NOTES:  first Perl script writen in my life 
#       AUTHOR:  luzem (luzemail@gmail.com), 
#      COMPANY:  
#      VERSION:  0.0.0.0.0.0.1
#      CREATED:  16/02/11 19:17:39
#     REVISION:  ---
#===============================================================================

use strict;
use warnings;


my $fileline;
my $output="";

open (MYFILE, $ARGV[0]);
while ($fileline = <MYFILE>) #Read the file 
	{
	#check if the key number is marqued as fingerprint OK and ID OK
	if ($fileline =~ /^[[:digit:]]{3}/ && $fileline !~ /\[ \] F/ && $fileline!~/\[ \] I/)
		{
		#move to the key fingerprint
		$fileline= <MYFILE>;

		#print $fileline;
		#$output=$output . $fileline . " ";
		$fileline =~ s/pub   [[:alnum:]]*\///;
		$fileline =~ s/ [[:print:]]*$//;
		$fileline =~ s/\R//;
		$output=$output." ".$fileline;
		}
	}
print $output;
close(MYFILE); 	
